Bug 236281 - run-jsc-stress-tests reports "in `<module:URI>': uninitialized class variable @@schemes in URI (NameError)" with Ruby 3.1
Summary: run-jsc-stress-tests reports "in `<module:URI>': uninitialized class variable...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Fujii Hironori
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2022-02-07 20:33 PST by Fujii Hironori
Modified: 2022-02-14 12:31 PST (History)
4 users (show)

See Also:


Attachments
Patch (1.38 KB, patch)
2022-02-07 20:40 PST, Fujii Hironori
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fujii Hironori 2022-02-07 20:33:29 PST
PS C:\home\webkit\gc> ruby --version
ruby 3.1.0p0 (2021-12-25 revision fb4df44d16) [x64-mingw-ucrt]
PS C:\home\webkit\gc> perl .\Tools\Scripts\run-javascriptcore-tests --wincairo --debug --no-build --jsc-stress --ruby-runner --test-writer=ruby --verbose
Running: ruby Tools/Scripts/run-jsc-stress-tests -j C:\home\webkit\gc\WebKitBuild\Debug\bin64/jsc.exe -o C:\home\webkit\gc\WebKitBuild\Debug\bin64/jsc-stress-results --arch x86_64 PerformanceTests/SunSpider/tests/sunspider-1.0 PerformanceTests/JetStream/cdjs/cdjs-tests.yaml PerformanceTests/ARES-6/Air/airjs-tests.yaml PerformanceTests/ARES-6/Basic/basic-tests.yaml JSTests/executableAllocationFuzz.yaml JSTests/exceptionFuzz.yaml PerformanceTests/SunSpider/no-architecture-specific-optimizations.yaml PerformanceTests/SunSpider/shadow-chicken.yaml PerformanceTests/SunSpider/with-baseline-code-sharing.yaml PerformanceTests/SunSpider/tests/v8-v6 JSTests/stress JSTests/microbenchmarks JSTests/slowMicrobenchmarks.yaml PerformanceTests/SunSpider/profiler-test.yaml LayoutTests/jsc-layout-tests.yaml JSTests/typeProfiler.yaml JSTests/controlFlowProfiler.yaml JSTests/es6.yaml JSTests/modules.yaml JSTests/complex.yaml JSTests/ChakraCore.yaml JSTests/wasm.yaml --debug --ruby-runner --test-writer ruby --verbose --
Tools/Scripts/run-jsc-stress-tests:43:in `<module:URI>': uninitialized class variable @@schemes in URI (NameError)
Did you mean?  scheme_list
        from Tools/Scripts/run-jsc-stress-tests:39:in `<main>'
Comment 1 Fujii Hironori 2022-02-07 20:35:14 PST
Ruby 3.1.0 added URI.register_scheme
https://ruby-doc.org/stdlib-3.1.0/libdoc/uri/rdoc/URI.html#method-c-register_scheme
Comment 2 Fujii Hironori 2022-02-07 20:40:23 PST
Created attachment 451201 [details]
Patch
Comment 3 Fujii Hironori 2022-02-14 11:55:02 PST
Comment on attachment 451201 [details]
Patch

Thank you for the review.
Comment 4 EWS 2022-02-14 12:30:55 PST
Committed r289752 (247228@main): <https://commits.webkit.org/247228@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 451201 [details].
Comment 5 Radar WebKit Bug Importer 2022-02-14 12:31:23 PST
<rdar://problem/88922121>